com.microfocus.awm.model.internal

## Class Action

- java.lang.Object
- - com.microfocus.awm.model.internal.Action

- All Implemented Interfaces:
    IAction

      public class Action
      extends java.lang.Object
      implements IAction

  Main implementation of `IAction`.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action(ActionDescriptor pActionDesc, IExecutionContext pContext)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElementListEntryToSelect(IElementListEntry pEntry)` Adds an `IElementListEntry` to be selected after the execution of the action.
    `ActionDescriptor` | `getActionDescriptor()` Gets the action descriptor of this action.
    `IElementList` | `getElementList()` Returns an element list if the performed action created one.
    `java.util.List<IElementListEntry>` | `getElementListEntriesToSelect()`
    `java.lang.Exception` | `getException()` Returns an exception (if one occurred during the execution of this `ActionDescriptor`) or `null`, if no exception occurred.
    `IExecutionContext` | `getExecutionContext()` Gets the execution context of this action.
    `java.util.List<IToolResult>` | `getResourceProcessingProblemResults()` Gets a list of tool results which caused problems during resource processing.
    `java.util.List<IToolResult>` | `getToolResults()` Gets the tool results of all tools executed by this action.
    `boolean` | `isCanceled()` Returns `true` if the action was cancelled by the user (even if an input dialog was cancelled).
    `void` | `setCanceled(boolean pCanceled)` Whether the action was cancelled by the user.
    `void` | `setElementList(IElementList pEleList)` Sets the element list of this action.
    `void` | `setException(java.lang.Exception pE)` Sets the exception of this action.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Action

          public Action(ActionDescriptor pActionDesc,
                        IExecutionContext pContext)

      Basic constructor.
      Parameters:
        `pActionDesc` - the action descriptor
        `pContext` - the context

  - ### Method Detail

    - #### getActionDescriptor

          public ActionDescriptor getActionDescriptor()

      Description copied from interface: `IAction`
      Gets the action descriptor of this action.
      Specified by:
        `getActionDescriptor` in interface `IAction`
      Returns:
        the action descriptor

    - #### getExecutionContext

          public IExecutionContext getExecutionContext()

      Description copied from interface: `IAction`
      Gets the execution context of this action.
      Specified by:
        `getExecutionContext` in interface `IAction`
      Returns:
        the `IExecutionContext`

    - #### getException

          public java.lang.Exception getException()

      Description copied from interface: `IAction`
      Returns an exception (if one occurred during the execution of this `ActionDescriptor`) or `null`, if no exception occurred.
      Specified by:
        `getException` in interface `IAction`
      Returns:
        the exception or `null`

    - #### setException

          public void setException(java.lang.Exception pE)

      Description copied from interface: `IAction`
      Sets the exception of this action.
      Specified by:
        `setException` in interface `IAction`
      Parameters:
        `pE` - the exception
      See Also:
        `IAction.getException()`

    - #### getElementList

          public IElementList getElementList()

      Description copied from interface: `IAction`
      Returns an element list if the performed action created one.
      Specified by:
        `getElementList` in interface `IAction`
      Returns:
        an `IElementList` or `null`

    - #### setElementList

          public void setElementList(IElementList pEleList)

      Description copied from interface: `IAction`
      Sets the element list of this action. This is usually done after an element list was created by an action.
      Specified by:
        `setElementList` in interface `IAction`
      Parameters:
        `pEleList` - the element list which was created by this action
      See Also:
        `IAction.getElementList()`

    - #### setCanceled

          public void setCanceled(boolean pCanceled)

      Description copied from interface: `IAction`
      Whether the action was cancelled by the user.
      Specified by:
        `setCanceled` in interface `IAction`
      Parameters:
        `pCanceled` - `true` if the action was cancelled by the user. `false` otherwise.

    - #### isCanceled

          public boolean isCanceled()

      Description copied from interface: `IAction`
      Returns `true` if the action was cancelled by the user (even if an input dialog was cancelled).
      Specified by:
        `isCanceled` in interface `IAction`
      Returns:
        whether the action was cancelled

    - #### getElementListEntriesToSelect

          public java.util.List<IElementListEntry> getElementListEntriesToSelect()

      Specified by:
        `getElementListEntriesToSelect` in interface `IAction`
      Returns:
        a list of `IElementListEntry` that should be selected after the execution of this action. The list can only contain entries, if TOOL-DEFINED resource operations with SELECT parameters were executed.
      See Also:
        `IAction.addElementListEntryToSelect(IElementListEntry)`

    - #### addElementListEntryToSelect

          public void addElementListEntryToSelect(IElementListEntry pEntry)

      Description copied from interface: `IAction`
      Adds an `IElementListEntry` to be selected after the execution of the action.
      Specified by:
        `addElementListEntryToSelect` in interface `IAction`
      Parameters:
        `pEntry` - the `IElementListEntry`
      See Also:
        `IAction.getElementListEntriesToSelect()`

    - #### getToolResults

          public java.util.List<IToolResult> getToolResults()

      Description copied from interface: `IAction`
      Gets the tool results of all tools executed by this action.
      Specified by:
        `getToolResults` in interface `IAction`
      Returns:
        the `IToolResult`s of all tools executed by this action.

    - #### getResourceProcessingProblemResults

          public java.util.List<IToolResult> getResourceProcessingProblemResults()

      Description copied from interface: `IAction`
      Gets a list of tool results which caused problems during resource processing.
      Specified by:
        `getResourceProcessingProblemResults` in interface `IAction`
      Returns:
        `IToolResult` which contained resource operations that caused problems while being processed

Copyright © 2015 Micro Focus GmbH. All rights reserved.